Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data
Class UpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.owasp.dependencycheck.data.UpdateException

All Implemented Interfaces:
  Serializable

    public class UpdateException

extends IOException

An exception used when an error occurs reading a setting.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`UpdateException()` Creates a new UpdateException.
`UpdateException(String msg)` Creates a new UpdateException.
`UpdateException(String msg, Throwable ex)` Creates a new UpdateException.
`UpdateException(Throwable ex)` Creates a new UpdateException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateException

    public UpdateException()

  Creates a new UpdateException.

### UpdateException

    public UpdateException(String msg)

  Creates a new UpdateException.

  Parameters:
    `msg` - a message for the exception.

### UpdateException

    public UpdateException(Throwable ex)

  Creates a new UpdateException.

  Parameters:
    `ex` - the cause of the update exception.

### UpdateException

    public UpdateException(String msg,
                           Throwable ex)

  Creates a new UpdateException.

  Parameters:
    `msg` - a message for the exception.
    `ex` - the cause of the update exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.